
QGIS Application - Bug report #18269

Layout legend items do not respect reference point when autosizing

2018-02-28 12:54 PM - Nigel Malcolm

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Windows 10.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26160

Description

When in print composer, setting a legend to scale based on a reference point does not appear to work. It always appears to scale from the

top left corner. I have had no issue with this in the previous versions of QGIS.

Thanks!!

Associated revisions

Revision 0f93e55f - 2018-03-01 08:02 AM - Nyall Dawson

[layouts] Fix legends do not respect reference point when auto sizing

Fixes #18269

Revision 6d9c5531 - 2018-03-01 09:50 PM - Nyall Dawson

[layouts] Fix legends do not respect reference point when auto sizing

Fixes #18269

(cherry-picked from 0f93e55)

History

#1 - 2018-02-28 12:56 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

#2 - 2018-02-28 11:10 PM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

- Subject changed from Composer legend items, position and size, reference point to Layout legend items do not respect reference point when 

autosizing

#3 - 2018-03-01 08:02 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
Applied in changeset commit:qgis|0f93e55fce153e2c573ac95c9d15441542c4a4a6.

#4 - 2018-03-01 10:50 AM - Giovanni Manghi

- Resolution set to fixed/implemented

#5 - 2018-07-06 01:23 PM - Jorge Almaraz

This error also occurs in version 3.2.0-Bonn

Files

Reference Point.png 18.5 KB 2018-02-28 Nigel Malcolm
